# class Capability | base class for all Capabilities implemented by a plugin More...
Contains pure virtuals
Full name | `KDB::Capability`
Definition | `#include <capability.h>`
Inherits | KDB::Object [public ]
Inherited by | Control
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Capability (const char * name)
- virtual ~Capability ()
- virtual capability provides ()

## Detailed Description

base class for all Capabilities implemented by a plugin

Capability (const char * name) | ### Capability

~Capability () | ### ~Capability

[virtual]

capability provides () | ### provides

[pure virtual]

- Version: kdbcore 0.0.2
- Author: Alessandro Praduroux <pradu@thekompany.com>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:59:09 2001, using kdoc 2.0a53.